javax.print.event

## Interface PrintJobAttributeListener

-     public interface PrintJobAttributeListener

  Implementations of this interface are attached to a `DocPrintJob` to monitor the status of attribute changes associated with the print job.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributeUpdate(PrintJobAttributeEvent pjae)` Notifies the listener of a change in some print job attributes.

- - ### Method Detail

    - #### attributeUpdate

          void attributeUpdate(PrintJobAttributeEvent pjae)

      Notifies the listener of a change in some print job attributes. One example of an occurrence triggering this event is if the `JobState` attribute changed from `PROCESSING` to `PROCESSING_STOPPED`.
      Parameters:
        `pjae` - the event.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.